Header Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/auth/signup" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "organization_name": "Acme Audiobooks", "timezone": "America/New_York" }'{ "user": { "id": "string", "email": "string", "name": "string", "created_at": "string" }, "organization": { "id": "string", "name": "string", "slug": "string" }, "project": { "id": "string", "name": "string" }, "environments": [ { "id": "string", "name": "string", "runtime_class": "string" } ], "token": { "id": "string", "token": "string", "scopes": [ "string" ] }}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/auth/sessions" \ -H "Content-Type: application/json" \ -d '{ "id_token": "eyJhbGciOiJSUzI1NiIsImtpZCI6Ij…" }'{ "user": { "id": "string", "email": "string", "name": "string", "created_at": "string" }, "created": true, "memberships": [ { "organization_id": "string", "user_id": "string", "email": "string", "role": "owner", "created_at": "string" } ], "token": { "id": "string", "token": "string", "scopes": [ "string" ], "expires_at": "string" }}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Header Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations" \ -H "Content-Type: application/json" \ -d '{ "name": "Acme Audiobooks", "timezone": "Europe/Amsterdam" }'{ "organization": { "id": "string", "name": "string", "slug": "string" }, "project": { "id": "string", "name": "string" }, "environments": [ { "id": "string", "name": "string", "runtime_class": "string" } ]}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/users/me"{ "id": "string", "email": "string", "name": "string", "created_at": "string", "memberships": [ { "organization_id": "string", "user_id": "string", "email": "string", "role": "owner", "created_at": "string" } ]}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/auth/tokens"{ "data": [ { "id": "string", "name": "string", "prefix": "string", "scopes": [ "string" ], "expires_at": "string", "last_used_at": "string", "created_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Header Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/auth/tokens" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "scopes": [ "string" ] }'{ "id": "string", "name": "string", "prefix": "string", "scopes": [ "string" ], "expires_at": "string", "last_used_at": "string", "created_at": "string", "token": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/auth/tokens/string"Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthHeader Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "role": "owner" }'{ "id": "string", "organization_id": "string", "email": "string", "role": "owner", "expires_at": "string", "accepted_at": "string", "created_at": "string", "token": "string"}Path Parameters
1 <= lengthHeader Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/invitations/string/accept" \ -H "Content-Type: application/json" \ -d '{ "token": "stringstri" }'{ "user": { "id": "string", "email": "string", "name": "string", "created_at": "string" }, "membership": { "organization_id": "string", "user_id": "string", "email": "string", "role": "owner", "created_at": "string" }, "token": { "id": "string", "token": "string", "scopes": [ "string" ] }}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/string/memberships"{ "data": [ { "organization_id": "string", "user_id": "string", "email": "string", "role": "owner", "created_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/organizations/string/memberships/string" \ -H "Content-Type: application/json" \ -d '{ "role": "admin" }'{ "organization_id": "string", "user_id": "string", "email": "string", "role": "owner", "created_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/organizations/string/memberships/string"Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthHeader Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/transfer_ownership" \ -H "Content-Type: application/json" \ -d '{ "user_id": "string" }'{ "owner": { "organization_id": "string", "user_id": "string", "email": "string", "role": "owner", "created_at": "string" }, "previous_owner": { "organization_id": "string", "user_id": "string", "email": "string", "role": "owner", "created_at": "string" }}